curl --request POST \
--url https://api.qovery.com/cluster/{clusterId}/argoCdConfig \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"argocd_url": "https://argocd.example.com",
"argocd_token": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"argocd_url": "https://argocd.example.com",
"argocd_token": "REDACTED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z"
}Save or update the ArgoCD URL and authentication token for a cluster. Requires ADMIN role.
curl --request POST \
--url https://api.qovery.com/cluster/{clusterId}/argoCdConfig \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"argocd_url": "https://argocd.example.com",
"argocd_token": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"argocd_url": "https://argocd.example.com",
"argocd_token": "REDACTED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Cluster ID
The URL of the ArgoCD instance (e.g. https://argocd.example.com)
"https://argocd.example.com"
ArgoCD API authentication token
ArgoCD credentials saved
Was this page helpful?